SMS Bot Widget V2.41

A quick update following yesterday’s release of V2.4. It turns out I accidentally made the app only compatible with Android 4.3! It was showing “not compatible” errors in the web Google Play Store for anything running earlier Android versions. This was because of a new “uses-feature” element I added to the app manifest to notify the Play Store that SMS Bot Widget required home screen widgets. Unfortunately I set the required attribute to “true” and because the feature was new in Android 4.3, previous versions didn’t know about it. Hence the “not compatible” errors. Of course when I tested my app’s availability yesterday on Google Play on my Nexus 4 newly updated to 4.3 it all seemed fine. The perils of being on the bleeding edge!